# List all automation rules

Returns all automation rules associated with the specified sheet.

Multistep workflows are not returned via the API.

Instead, you'll see an error 400 - 1266: This rule is not accessible through the API.

Only single-action notifications, approval requests, or update requests qualify.

For users of Smartsheet for Slack, note that Slack notifications are not
returned.

> Note: For pagination guidance, refer to Pagination.

Endpoint: GET /sheets/{sheetId}/automationrules
Version: 2.0.0
Security: APIToken, OAuth2

## Path parameters:

  - `sheetId` (number, required)
    ID of the sheet being accessed.

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

## Query parameters:

  - `includeAll` (boolean)
    If true, include all results, that is, do not paginate. Mutually exclusive with page and pageSize (they are ignored if includeAll=true is specified).

  - `page` (number)
    Which page to return. Defaults to 1 if not specified. If you specify a value greater than the total number of pages, the last page of results is returned.

  - `pageSize` (number)
    The maximum number of items to return per page. Unless otherwise stated for a specific endpoint, defaults to 100. If only page is specified, defaults to a page size of 100. For reports, the default is 100 rows. If you need larger sets of data from your report, returns a maximum of 10,000 rows per request.

## Response 200 fields (application/json):

  - `pageNumber` (number)
    The current page in the full result set that the data array represents. NOTE when a page number greater than totalPages is requested, the last page is instead returned.
    Example: 1

  - `pageSize` (number,null)
    The number of items in a page. Omitted if there is no limit to page size (and hence, all results are included). Unless otherwise specified, this defaults to 100 for most endpoints.
    Example: 50

  - `totalPages` (number)
    The total number of pages in the full result set.
    Example: 25

  - `totalCount` (number)
    The total number of items in the full result set.
    Example: 136

  - `data` (array)
    list of Automation Rules

  - `data.id` (number)
    AutomationRule ID.

  - `data.action` (any)
    An [AutomationAction object](/api/smartsheet/openapi/automationrules/automationaction) containing information for this rule, such as type, recipients, and frequency.

  - `data.createdAt` (any)
    A timestamp of when the rule was originally added.

  - `data.createdBy` (object)
    User object containing name and email of the creator of this rule.

  - `data.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `data.createdBy.name` (string)
    Example: "Jane Doe"

  - `data.disabledReason` (string)
    Machine-readable reason a rule is disabled:
* APPROVAL_COLUMN_MISSING This rule's approval status column has been deleted.

* APPROVAL_COLUMN_WRONG_TYPE The approval column must be a dropdown column.

* AUTOMATION_NOT_ENABLED_FOR_ORG To create or edit automated actions,
you need to upgrade your organization account to a Business or Enterprise plan.

* COLUMN_MISSING A column referenced by this rule has been deleted.

* COLUMN_TYPE_INCOMPATIBLE A column referenced by this rule has been changed to an incompatible column type.

* NO_POTENTIAL_RECIPIENTS This rule has no recipients that will be able to receive
notifications based on this sheet's permission settings or this account's approved domain sharing list.

* NO_VALID_SELECTED_COLUMNS All selected columns for this rule have been deleted.
    Enum: "APPROVAL_COLUMN_MISSING", "APPROVAL_COLUMN_WRONG_TYPE", "AUTOMATION_NOT_ENABLED_FOR_ORG", "COLUMN_MISSING", "COLUMN_TYPE_INCOMPATIBLE", "NO_POTENTIAL_RECIPIENTS", "NO_VALID_SELECTED_COLUMNS"

  - `data.disabledReasonText` (string)
    Descriptive reason a rule is disabled.

  - `data.enabled` (boolean)
    If true, indicates that the rule is active.

  - `data.modifiedAt` (any)
    The datetime for when the change was made to the rule.

  - `data.modifiedBy` (object)
    User object containing the name and email of the user that made the change.

  - `data.modifiedBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `data.modifiedBy.name` (string)
    Example: "Jane Doe"

  - `data.name` (string)
    Rule name as shown in the UI.

  - `data.userCanModify` (boolean)
    If true, indicates that the current user can modify the rule.


